=== debian/changelog ===
rabbitmq-java-client (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * Remove redundant debian/README.source
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Add debian/gbp.conf to enable pristine-tar
  * d/watch: version=5
  * d/rules: Remove template comments

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 19:12:04 +0200

rabbitmq-java-client (5.0.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 16:11:26 +0100

rabbitmq-java-client (5.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #879660)
  * Fill in debian/copyright

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 24 Oct 2017 20:44:08 +0100
