=== debian/control ===
Source: rabbitmq-java-client
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Christopher Hoskin <mans0954@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               maven-debian-helper,
               python3,
               libmaven-source-plugin-java,
               libbuild-helper-maven-plugin-java,
               libmaven-bundle-plugin-java,
               libdropwizard-metrics-java
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/java-team/rabbitmq-java-client
Vcs-Git: https://salsa.debian.org/java-team/rabbitmq-java-client.git
Homepage: https://www.rabbitmq.com/java-client.html

Package: librabbitmq-client-java
Architecture: all
Depends: ${misc:Depends},
         ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: RabbitMQ Java client
 The RabbitMQ Java client library allows Java code to interface with RabbitMQ.
