=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=maven

override_dh_auto_configure:
	PYTHONPATH=codegen/ python3 ./codegen.py header codegen/amqp-rabbitmq-0.9.1.json target/generated-sources/src/main/java/com/rabbitmq/client/AMQP.java
	PYTHONPATH=codegen/ python3 ./codegen.py body codegen/amqp-rabbitmq-0.9.1.json target/generated-sources/src/main/java/com/rabbitmq/client/impl/AMQImpl.java
	dh_auto_configure
