=== debian/watch ===
Version: 5

Source: https://github.com/rabbitmq/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]+)@ARCHIVE_EXT@
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
